%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/DBI.pm) perl(Class/DBI/Pg/More.pm) perl(ExtUtils/MakeMaker.pm) perl(File/MMagic.pm) perl(File/Slurp.pm) perl(Test/More.pm) perl(Test/TempDatabase.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.23
%define module_name HTML-Tested-ClassDBI
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.23
Release: alt1
Summary: Enhances HTML::Tested to work with Class::DBI classes
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BO/BOSU/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This class provides mapping between Class::DBI and HTML::Tested objects.

It inherits from HTML::Tested. Widgets created with `ht_add_widget' can have
additional `cdbi_bind' property.

After calling `bind_to_class_dbi' you would be able to automatically
synchronize between HTML::Tested::ClassDBI instance and underlying Class::DBI.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE
%perl_vendor_privlib/H*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.23-alt1
- initial import by package builder

